curl --request GET \
--url 'https://api.etherscan.io/v2/api?apikey='import requests
url = "https://api.etherscan.io/v2/api?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.etherscan.io/v2/api?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": [
{
"blockNumber": "496234531",
"timeStamp": "1787159092",
"blockHash": "0x32e87bebfa7024c53c2bc7b1050d52cbb69caa7ad84b08f10c66726ee6026d29",
"hash": "0x6ed77f95f0f96483a053d3053991d0eee9eb4d224508bb9f96962bda99c47f95",
"nonce": "259",
"from": "0x6d3ff6a8206a40d5a0089aab8bc8ebe8e2d676c8",
"to": "0xffde4b34628df0c87a3a31d68c178a22ec62c204",
"value": "20000000000000",
"gas": "13595520",
"gasPrice": "32178000",
"input": "0x43f4e6ba0000000000000000000000000000000000000000000000000000000000000140000000000000000000000000000000000000000000000000000000000000508000000000000000000000000000000000000000000000000000000000000055a000000000000000000000000000000000000000000000000000000000000055c00000000000000000000000000000000000000000000000000000000000005ae000000000000000000000000000000000000000000000000000000000000076000000000000000000000000000000000000000000000000000000f830fc71e00000000000000000000000000000000000000000000000000000000000000001b9000000000000000000000000000000000000000000000056bc75e2d631000000000000000000000000000000000000000000000000000015af1d78b58c40000000000000000000000000000000000000000000000000000000000000000000d3000000000000000000000000c6962004f452be9203591991d15f6b388e09e8d000000000000000000000000000000000ffffffffffffffffffffffffffffffff00000000000000000000000000000000ffffffffffffffffffffffffffffffff0000000000000000000000002f5e87c9312fa29aed5c179e456625d79015299c00000000000",
"cumulativeGasUsed": "10492249",
"gasUsed": "9425167",
"isError": "0",
"errDescription": "",
"txreceipt_status": "1",
"status": "Waiting",
"L1transactionhash": "",
"tokenAddress": "0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0",
"tokenValue": "2000000000000000000000"
}
]
}
Get Withdrawal Transactions by Address
Retrieves all withdrawal transactions made by a specified address.
{
"status": "1",
"message": "OK",
"result": [
{
"blockNumber": "496234531",
"timeStamp": "1787159092",
"blockHash": "0x32e87bebfa7024c53c2bc7b1050d52cbb69caa7ad84b08f10c66726ee6026d29",
"hash": "0x6ed77f95f0f96483a053d3053991d0eee9eb4d224508bb9f96962bda99c47f95",
"nonce": "259",
"from": "0x6d3ff6a8206a40d5a0089aab8bc8ebe8e2d676c8",
"to": "0xffde4b34628df0c87a3a31d68c178a22ec62c204",
"value": "20000000000000",
"gas": "13595520",
"gasPrice": "32178000",
"input": "0x43f4e6ba0000000000000000000000000000000000000000000000000000000000000140000000000000000000000000000000000000000000000000000000000000508000000000000000000000000000000000000000000000000000000000000055a000000000000000000000000000000000000000000000000000000000000055c00000000000000000000000000000000000000000000000000000000000005ae000000000000000000000000000000000000000000000000000000000000076000000000000000000000000000000000000000000000000000000f830fc71e00000000000000000000000000000000000000000000000000000000000000001b9000000000000000000000000000000000000000000000056bc75e2d631000000000000000000000000000000000000000000000000000015af1d78b58c40000000000000000000000000000000000000000000000000000000000000000000d3000000000000000000000000c6962004f452be9203591991d15f6b388e09e8d000000000000000000000000000000000ffffffffffffffffffffffffffffffff00000000000000000000000000000000ffffffffffffffffffffffffffffffff0000000000000000000000002f5e87c9312fa29aed5c179e456625d79015299c00000000000",
"cumulativeGasUsed": "10492249",
"gasUsed": "9425167",
"isError": "0",
"errDescription": "",
"txreceipt_status": "1",
"status": "Waiting",
"L1transactionhash": "",
"tokenAddress": "0xfa7f8980b0f1e64a2062791cc3b0871572f1f7f0",
"tokenValue": "2000000000000000000000"
}
]
}
Authorizations
Enter your Etherscan API key, or set one up if you don't have one.
Query Parameters
Chain ID to query, eg 10 for Optimism or 42161 for Arbitrum from our supported chains.
Set to account for this endpoint.
Set to getwithdrawaltxs for this endpoint.
Address to check for cross-chain withdrawals from L2 to Ethereum.
Page number for pagination.
Number of records per page. Use the page parameter for subsequent records.
Sort order either desc for the latest transactions first or asc for the oldest transactions first.
Response
Successful response
1 if the request returned data, 0 otherwise. A status of 0 can indicate an error or a valid request that returned no records.
OK on success, otherwise an error description such as NOTOK. See common error messages.
Show child attributes
Show child attributes